### Function

# Pango attr_line_height_new

since: 1.50

#### Declaration [src]

    PangoAttribute*
    pango_attr_line_height_new (
      double factor
    )

#### Description [src]

Modify the height of logical line extents by a factor.

This affects the values returned by `pango_layout_line_get_extents()`, `pango_layout_line_get_pixel_extents()` and `pango_layout_iter_get_line_extents()`.

Available since: 1.50

#### Parameters

`factor`

  Type: `double`

  The scaling factor to apply to the logical height.

#### Return value

Type: `PangoAttribute`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.